Bug 472635 - Google Droid fonts licensing
Google Droid fonts licensing
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: distribution (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom "spot" Callaway
Bill Nottingham
:
Depends On:
Blocks: FE-Legal F11Target 475661
  Show dependency treegraph
 
Reported: 2008-11-22 05:39 EST by Nicolas Mailhot
Modified: 2014-03-16 23:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 18:02:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2008-11-22 05:39:25 EST
Google has released for quite a long time a high-quality set of "Droid" fonts as part of the Android platform. They have a high-visibility for average users because of all the Google press barrage. The-Eula-protected Android SDK has been superseded lately by a public source repository.

http://android.git.kernel.org/?p=platform/frameworks/base.git;a=tree;f=data/fonts

The NOTICE file in this directory is a Fedora-friendly Apache License. However the font metadata embedded in the files claims:

« This font software is the valuable property of Ascender Corporation and/or its suppliers and its use by you is covered under the terms of a license agreement. This font software is licensed to you by Ascender Corporation for your personal or business use on up to five personal computers. You may not use this font software on more than five personal computers unless you have obtained a license from Ascender to do so. Except as specifically permitted by the license, you may not copy this font software.

If you have any questions, please review the license agreement you received with this font software, and/or contact Ascender Corporation.

Contact Information:
Ascender Corporation
Web http://www.ascendercorp.com/ »

But Ascender will redirect you to Google, which is as usual silent.

To check it,
1. download a raw TTF file
2. open it in Fontforge
3. -> Elements
4. -> Font Info
5. -> TTF Name
6. -> License (License URL is fun too)

This has so far discouraged Fedora and Debian packaging, even though wild Droid packages have started to appear, people are incorporating Droid material in derivatives, and one of those may eventually make it in the repo without raising Legal bells.

Thus I have two questions:
1. is the legal situation clear enough to allow Fedora packaging as is
2. since Google won't step down to replying to solicitations by mere mortals, can an official Fedora or Red Hat enquiry be made to clarify the situation?
Comment 1 Daniel Berlin 2008-11-22 17:33:10 EST
Not sure why you think "Google won't step down to replying to solicitations by mere mortals".
Every query i'm aware of about this situation has been answered (some by me personally).
If you sent a query that was not answered, please privately provide me details so i can make sure it doesn't happen again.

In any case, the licensing info embedded on the fonts was simply wrong when it was pushed out, and is being corrected.
They are licensed under Apache 2.0.
The fixed TTF files should be pushed to GIT soon, if they aren't there already.
Comment 2 Nicolas Mailhot 2008-11-23 03:15:42 EST
(In reply to comment #1)
.
> Every query i'm aware of about this situation has been answered (some by me
> personally).

Thank you for the answer. I guess is was my frustration speaking, the Droid fonts have been announced a long time ago, and the situation is still not fixed

> In any case, the licensing info embedded on the fonts was simply wrong when it
> was pushed out, and is being corrected.
> They are licensed under Apache 2.0.
> The fixed TTF files should be pushed to GIT soon, if they aren't there already.

They aren't today. I don't know if we can touch them at all before they are fixed.
Comment 3 Nicolas Mailhot 2008-11-23 06:00:20 EST
BTW, I hadn't noticed but it seems even wikipedia is aware of the problem

http://en.wikipedia.org/wiki/Droid_(font)#License_controversy
Comment 4 Nicolas Mailhot 2008-11-23 06:05:32 EST
P.P.S. A nice versionned tarball or zip with a detached license text on an official site that does not require digging in git to find the fonts would be appreciated

Are the fonts at version 1.0.107, or will the next font dump use the same versions?
Comment 5 Tom "spot" Callaway 2008-11-24 13:19:05 EST
I've spoken with Chris DiBona at Google on this issue, and he assures me that this is simply an accidental oversight. We should see an updated font drop in the next week (this week is an holiday week in the US, which may temporarily delay it).

Nicolas, we'll just wait for this new drop to package these up.
Comment 6 Bug Zapper 2008-11-26 00:46:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Jon Stanley 2008-11-26 14:13:42 EST
Fixing version to align with rawhide again.  Sorry for the noise.
Comment 8 Tom "spot" Callaway 2008-12-09 16:32:22 EST
Chris DiBona at Google let me know that the change has happened upstream:
http://review.source.android.com/5401
Comment 9 Nicolas Mailhot 2008-12-09 18:00:54 EST
Verified the new files. Thanks to everyone involved.

Posted the package review request in bug #475661
Comment 10 Rex Camposagrado 2009-02-09 17:18:29 EST
Ascender just released OpenType Pro versions of the Droid fonts here: http://www.droidfonts.co​m . This might be interesting to creative professionals who would like to use the Droid fonts in their design projects.
Comment 11 Tom "spot" Callaway 2009-02-10 11:05:25 EST
It is worth noting that the "Pro" fonts are not under a Free License.
Comment 12 Rex Camposagrado 2009-02-10 11:47:30 EST
While the necessity for Ascender to offer the Droid Pro fonts under a free license may not be extremely well received by the open-source community, please be aware that while we partner with several open-source providers and are happy to build fonts for these partners, no business model exists for font vendors if we were to release our IP directly under an open license.

For the record, Our http://www.DroidFonts.com site does not offer any fonts under any free license.

We have taken the Droid fonts under Apache v2 and have enhanced the Droid fonts as allowed under Apache v2. We are now offering the enhanced Droid Pro fonts under a proprietary EULA for a license fee, with proper credit being given to the underlying Apache covered portion of the fonts which we are licensing.

We built the Droid Pro fonts because the professional graphic design and creative market was asking for them (in part to support the Android effort), but these users require enhanced character ranges and sometimes want OTF format fonts. There are also OEMs which require additional language support and additional weights and styles of Droid.

From our perspective, this is a win-win situation. The open community has another outstanding set of fonts (to add to the Liberation fonts we built for Red Hat) and we have the opportunity to satisfy demands for additional Droid support. We see this as very much like the business models of the Linux OS providers, who often supply a good base OS for free and then are able to stay in business by providing enhancements and support.

I hope this helps to explain what we're up to.
Comment 13 Tom "spot" Callaway 2009-02-10 12:02:15 EST
No, I understand what you're doing. I may disagree with your motivations (I do work for a company whose entire model is based around FOSS licensing), but I understand them.

My post was intended to clarify to anyone who might come across your post and start to package the Pro fonts for submission in Fedora, as I would have to immediately block such an action on licensing grounds.
Comment 14 Rex Camposagrado 2009-02-10 12:20:44 EST
Correction to my previous Comment #12: While the necessity for Ascender to (not) offer the Droid Pro fonts under a free license may not be extremely well received by the open-source community,

Note You need to log in before you can comment on or make changes to this bug.